package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class AckVo {
    private String inr;

    private String objtyp;

    private String objinr;

    private String objsub;

    private String outsrv;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date gendattim;

    private String acksrv;

    private String extkey;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date rcvdattim;

    private String cla;

    private String sta;

    private String etgextkey;

    private String acktxt;

    private String bchkeyinr;

    private String sndref;

    private String branchinr;

    private String docfil;

    private String oldref;

    private String msgref;

    private String tbxx08; //币种

    private BigDecimal tbxx09;//金额

    private String tbxx10;//汇款人名称

    private String tbxx11;//汇款人账号

    private String tbxx12;//收款人名称

    private String tbxx13;// Uetr


    //Inr of SMH
    private String smhinr = NULLSTR;

    //Channel Flag
    private String chlflg = NULLSTR;
}
