package com.brilliance.isc.bo;

import lombok.Data;

@Data
public class EcFunctionTreeNode {
    // 主键ID
    private Integer id;
    // 名称
    private String name;
    // 描述
    private String description;
    // 资源类型
    private String type;
    // 资源
    private String resource;
    // 授权脚本
    private String authorityScript;
    // 上级功能ID
    private Integer parentNodeId;
    // 排序
    private Integer orders;
    // 状态
    private Integer state;
    // 节点ID
    private Integer treeId;
    // 菜单类型
    private Integer menuType;
    // 实体
    private String entity;
    // 图标
    private String icon;
    // 禁用复制标志，1是0否
    private Integer isDisablePageOpt;
    // 是否可配置为快速访问入口 Y-是 N-否  默认为N
    private String isConfigurable;
}
