package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:ety:ETY - Entity
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ety {

        //Internal Unique ID of Entity
        private String inr = NULLSTR;

        //Entity ID
        private String extkey = NULLSTR;

        //Name of the Entity
        private String nam = NULLSTR;

        //Group to which this Entity Belongs
        private String etg = NULLSTR;

        //Logo File Used in Office on the Wall
        private String offlog = NULLSTR;

        //Logo File Used in Letterhead
        private String letlog = NULLSTR;

        //Picture Used in Office in Picture Frame
        private String userpic = NULLSTR;

        //Default Icon for Entity
        private String defico = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //INR of the Own PTA Address
        private String ownptainr = NULLSTR;

        //Default User Group for Routing
        private String defrouusg = NULLSTR;

        //Relevant Entity Address
        private String etaextkey = NULLSTR;

        //BIC of Entity
        private String ownbic = NULLSTR;

        //TID of Entity
        private String owntid = NULLSTR;

        //Application Administrator Optional
        private String admusr = NULLSTR;

        //Timezone
        private String timzon = NULLSTR;

        //Clearing Number
        private String clearid = NULLSTR;
}