package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class Finamt
{
    //Currency
    private  String cur = NULLSTR;
    //表外欠息利息
    private BigDecimal intamt1 = Decimals.ZERO_SCALE3;
    //表外本年欠息
    private  BigDecimal intamty1 = Decimals.ZERO_SCALE3;
    //表内欠息利息
    private  BigDecimal intamt2 = Decimals.ZERO_SCALE3;
    //表内本年欠息
    private  BigDecimal intamty2 = Decimals.ZERO_SCALE3;
    //利息
    private  BigDecimal intamt = Decimals.ZERO_SCALE3;
    //本金
    private  BigDecimal amt = Decimals.ZERO_SCALE3;
}
