package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:hmdgfx:高风险说明信息
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Hmdgfx  {

    //Internal Unique ID of Transaction Control Record
    private String inr = NULLSTR;
    //TRNTYP
    private String trntyp = NULLSTR;
    //TRNINR
    private String trninr = NULLSTR;
        //Object Type of Associated Contract Optional
        private String objtyp = NULLSTR;
        //Object INR of Associated Contract Optional
        private String objinr = NULLSTR;
    //高风险说明信息
    private String rskexp = NULLSTR;
    //高风险复核柜员
    private String rskrelusr = NULLSTR;
    //高风险国家信息
    private String rskinf = NULLSTR;

}