package com.brilliance.isc.bo.bopdecbo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dbu {
    //internal unique id
    private String inr ;
    //组织机构代码
    private String custcode ;
    //组织机构名称
    private String custname ;
    //住所/经营场所
    private String areacode ;
    //单位地址
    private String custaddr ;
    //邮政编码
    private String postcode ;
    //行业属性代码
    private String industrycode ;
    //经济类型代码
    private String attrcode ;
    //常驻国家代码
    private String countrycode ;
    //是否特殊经济区内企业
    private String istaxfree ;
    //特殊经济区内企业类型
    private String taxfreecode ;
    //投资国别
    private String invcountry ;
    //外汇局联系用email
    private String email ;
    //申报方式
    private String rptmethod ;
    //交易用email
    private String ecexaddr ;
    //备注
    private String remarks ;
    //开户信息
    private String bankinfos ;
    //【创建日期】
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat;
    //【修改日期】
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date amedat;
    //【报送状态】
    private String sndflg ;
    //【chkinf】
    private String checkinf ;
    //【基础信息状态】
    private String bassta ;
}
