package com.brilliance.isc.bo.model;

import com.brilliance.isc.common.invchk.vo.InvlstVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class PageTable {

    private List<InvlstVo> tableData;

    private int currentPage = 1;

    private int pageSize = 10;

    private int total = 0;
}
