package com.brilliance.isc.common.limmod.vo;

import com.brilliance.isc.esb.model.inner.InnerResCL45;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
public class LsbDetailVo {
    /**
     * 明细额度编号
     */
    private String edmxbh;
    /**
     * 占用主体类型
     */
    public String zyztlx;
    /**
     * 占用主体编号
     */
    private String zyztbh;
    /**
     * 返回页号
     */
    private String fhyhao;
    /**
     * 每页返回多少条记录
     */
    private String mytshu;
    /**
     * 交易柜员
     */
    private String bchusr;
    /**
     * 机构代码
     */
    private String accbch;
    /**
     * 记录总数
     */
    private String total;

    private List<InnerResCL45.ItemCL451> lstCL451 = new ArrayList<>();

}
