package com.brilliance.isc.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class HvpmodVo extends AbstractCommonVo{
    //收款人地址2
    private  String skrdz2 = NULLSTR;
    //收款人地址3
    private  String skrdz3 = NULLSTR;
    //收款人地址4
    private  String skrdz4 = NULLSTR;
    //收款人地址5
    private  String skrdz5 = NULLSTR;
    //收款人名称2
    private  String skrmc2 = NULLSTR;
    //收款人名称3
    private  String skrmc3 = NULLSTR;
    //收款人账户2
    private  String skrzh2 = NULLSTR;
    //跨境业务附言
    private  String fecomm = NULLSTR;
    //费用编码
    private  String feecod = NULLSTR;
    //付款人地址2
    private  String fkrdz2 = NULLSTR;
    //付款人地址3
    private  String fkrdz3 = NULLSTR;
    //付款人地址4
    private  String fkrdz4 = NULLSTR;
    //付款人地址5
    private  String fkrdz5 = NULLSTR;
    //付款人名称2
    private  String fkrmc2 = NULLSTR;
    //付款人名称3
    private  String fkrmc3 = NULLSTR;
    //付款人账户2
    private  String fkrzh2 = NULLSTR;
    //中介机构2名称
    private  String agname2 = NULLSTR;
    //中介机构2label
    private  String agname2lab = NULLSTR;
    //中介机构2行号
    private  String agency2 = NULLSTR;
    //中介机构2行号label
    private  String agency2lab = NULLSTR;
    //收款人开户行代理行
    private  String agencydl = NULLSTR;
    //收款人开户行代理行名称
    private  String agnamedl = NULLSTR;
    //端到端标识号
    private  String oribusnum = NULLSTR;
    //收报行的收 �'�
    private  BigDecimal feecom = Decimals.ZERO_SCALE2;
    //发报行的收  �'�
    private BigDecimal feesen = Decimals.ZERO_SCALE2;
    //备注
    private  String remark = NULLSTR;
    //备注
    private  String remark1 = NULLSTR;
}
