package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class GidLimitVo {

        /**
         * 保函主表inr
         */
        private String inr;
        /**
         * 客户号
         */
        private String extkey;
        /**
         * 客户名称
         */
        private String nam1;
        /**
         * 交易编号
         */
        private String ownref;
        /**
         * 交易代码
         */
        private String inifrm;
        /**
         * 交易币别
         */
        private String cbecur;

        /**
         * 交易金额
         */
        private BigDecimal cbeamt;


        /**
         * 保函金额折美元
         */
        private BigDecimal xrfamt;

        /**
         * 开立日期
         */
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date opndat;

        /**
         * 到期日
         */
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date expdat;

        /**
         * 应收保证金比例(%)
         */
        private String cshpct;
        /**
         * 额度币别
         */
        private String limcur;
        /**
         * 额度余额
         */
        private BigDecimal limamt;
//        /**
//         * 占用额度类型
//         */
//        private String lnbextid;
        /**
         * 保函类型
         */
        private String gartyp;
        /**
         * 受益人
         */
        private String ptsnam;
        /**
         * 保证金账号
         */
        private String cbeacc;
        /**
         * 保证金余额
         */
        private BigDecimal cbbamt;
        /**
         * 保函注销日
         */
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date clsdat;
        /**
         * 是否对外担保
         */
        private String  fingua;
        /**
         * 担保类型
         */
        private String cfaguatyp;

}
