package com.brilliance.isc.vo.manager;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.Date;

@Data
public class PersonVo {
    private Integer sex = 0;
    private String lock;
    private Date birthday;
    private Integer nationality;
    private Integer province;
    private Integer city;
    private Integer district;
    private String street;
    private String postalcode;
    private String fixedPhone;
    private String mobilePhone;
    private String faxaPhone;
    private String email;
    private Date createTime;
    private Date validateTime;
    private Date lastLogTime;
    private String lastLogIP;
    private String workorg;
    private String workorgName;
    private String workDept;
    private String workDeptName;
    private String extfield1;
    private String extfield2;
    private String extfield3;
    private String extfield4;
    private String extfield5;
    @JsonIgnore
    private String salt;
    private String pswflag;

    private String parentDepartmentId;
    private String logName;
    private String logPass;
    private Integer order;
    private String confirmPass;
    private Integer errornumber;
    private Timestamp stoptime;
    private Timestamp passwordTime;
    private String entity;
    private String businessId;
    private String defaultEntity;
    private String departmentId;
    private String deparmentBumen;

    protected Integer id;
    private String name;
    private String description;
    protected Integer state;
    private int hashCode;

    private String relgrp; // 授权权限

    private String relcur; // 授权币种

    private BigDecimal relamt; // 授权金额
    private String relamtstr; // 授权金额

    private String authlevel; // 授权档次

    private String authority; // GISP报文G转S权限

    private String oldMac; // 旧Mac值



}
