package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BptpVo extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //Purchase Type
    private  String purtyp = NULLSTR;

    //Discount Type
    private  String distyp = NULLSTR;

    //TXCODE
    private  String txcode = NULLSTR;

    //收款人名称
    private  String recname = NULLSTR;

    //是否定向收付
    private  String flowflag = NULLSTR;

    //参考指标
    private  String conrat = NULLSTR;

    //是否可议付
    private  String isyifu = NULLSTR;

    //追�'�权
    private  String rcssta = NULLSTR;

    //信用证编号
    private  String kzref = NULLSTR;

    //开证行行号
    private  String issbankno = NULLSTR;

    //交单行行号
    private  String prcbankno = NULLSTR;

    // 经办人
    private Usr usr;

    @Override
    public void reset() {
        if (usr == null) {
            usr = new Usr();
        }
    }
}
