package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DftcreBizInfoVo extends BizInfoVo {

    //setmod.doccur
    private String doccur = "";

    //setmod.docamt
    private BigDecimal docamt = BigDecimal.ZERO;

    //brdgrp.rec.invtyp
    //bddgrp.rec.invtyp
    //bcdgrp.rec.invtyp
    private String invtyp;

    //bcdgrp.rec.credat
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date credat;

    //bcdgrp.rec.accdat
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date accdat;
}
