package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class DftpVo extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;
    //Label of contract amount
    private  String labmaxamt = NULLSTR;
    //Reference to GetAddSub function
    private  String getaddsubfld = NULLSTR;
    //Percentage Label
    private  String pctlab = NULLSTR;
    //报文或面函
    private  String msgtyp = NULLSTR;
    //接收行行号
    private  String resbch = NULLSTR;
    //接收行名称
    private  String resbchnam = NULLSTR;
    //附言
    private  String commet = NULLSTR;
    //报文类型
    private  String fmttyp = NULLSTR;
    //数据暂存
    private IStream bchstream = new StreamImpl();
    //CMT100 报文
    private  String baowflg = NULLSTR;
    //跨境人民币清算模式
    private  String baowtag = NULLSTR;
    //报文类型
    private  String msgflg = NULLSTR;
    //自�'�区备注label
    private  String commetlab = NULLSTR;
    //自�'�区备注
    private  String comsystbl = NULLSTR;
    //是否已升级2.0
    private  String updsta = NULLSTR;
    //付款人名称
    private  String orcnam = NULLSTR;
    //付款人地址
    private  String orcadr = NULLSTR;
    //收款人名称
    private  String pyenam = NULLSTR;
    //收款人地址
    private  String pyeadr = NULLSTR;
    //相关参考号
    private  String xnggbh = NULLSTR;
}
