package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.InnerReq;
import com.brilliance.isc.esb.model.inner.InnerReqCM51;
import com.brilliance.isc.esb.model.inner.InnerRes;
import com.brilliance.isc.esb.model.inner.InnerResCM51;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的信贷风险流程管理系统接口
 *
 * @restApi
 */

//@RequestMapping("/jk")
public interface InnerCecmServer {
    /**
     * CM51 额度转授权信息查询
     *
     * @param innerReqCM51
     * @return
     */
    @PostMapping("/CM51")
    InnerRes<InnerResCM51> callCM51(InnerReq<InnerReqCM51> innerReqCM51);
}
