package com.brilliance.isc.esb.model.clm;

import com.brilliance.isc.esb.model.AbsReqNew;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL83 额度信息同步请求对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReqCL85 extends AbsReqNew {

    public ReqCL85() {
    }

    public ReqCL85(String YQTLSH, String YJYRQI, String GUIYLS, String GUIYID, String ORGAID, String HETLSH, String HTONYE) {
        this.YQTLSH = YQTLSH;
        this.YJYRQI = YJYRQI;
        this.GUIYLS = GUIYLS;
        this.GUIYID = GUIYID;
        this.ORGAID = ORGAID;
        this.HETLSH = HETLSH;
        this.HTONYE = HTONYE;
    }

    /**
     * 原前台流水号[0,20]
     */
    public String YQTLSH;
    /**
     * 原交易日期[0,10]
     */
    public String YJYRQI;
    /**
     * 核心柜员流水号[0,40]
     */
    public String GUIYLS;
    /**
     * 柜员号[0,20]
     */
    public String GUIYID;
    /**
     * 机构号[0,40]
     */
    public String ORGAID;
    /**
     * 合同号[0,40]
     */
    public String HETLSH;
    /**
     * 合同余额[0,24]
     */
    public String HTONYE;

}
