package com.brilliance.isc.esb.model.clm;

import java.util.List;

public class ResOCL433 {

    /**
     * 后台流水号[0,40]
     */
    public String EDLSXH;
    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 交易结果[0,1]
     */
    public String JIAYJG;
    /**
     * 超额提示[0,200]
     */
    public String CHAETS;
    /**
     * 业务编号[0,40]
     */
    public String YEWUNO;
    /**
     * 关联业务编号[0,40]
     */
    public String GLYWBH;
    /**
     * 业务币种[0,10]
     */
    public String BIZHON;
    /**
     * 业务金额[0,24]
     */
    public String YEWUJE;
    /**
     * 容差值[0,24]
     */
    public String ROCZHI;
    /**
     * 保证金余额[0,24]
     */
    public String BZJYUE;
    /**
     * 起始日[0,10]
     */
    public String QISHIR;
    /**
     * 到期日[0,10]
     */
    public String DAOQIR;
    /**
     * 占用额度类型[0,10]
     */
    public String EDLEIX;
    /**
     * 占用额度编号[0,40]
     */
    public String EDBHAO;

    public List<ItemFCL433> FCL433;

    public List<ItemFCL434> FCL434;

    public List<ItemFCL435> FCL435;

    public List<ItemFCL436> FCL436;


    public static class ItemFCL433 {

        /**
         * 占用额度编号[0,40]
         */
        public String ZYEDBH;
        /**
         * 占用额度明细编号[0,40]
         */
        public String ZYMXBH;
        /**
         * 额度币种[0,10]
         */
        public String BIZHON;
        /**
         * 额度品种[0,40]
         */
        public String EDCPDM;
        /**
         * 授信额度[0,24]
         */
        public String SHXEDU;
        /**
         * 已用额度[0,24]
         */
        public String YIYEDU;
        /**
         * 可用额度[0,24]
         */
        public String KEYEDU;
        /**
         * 拟占用金额[0,24]
         */
        public String NZYEDU;
        /**
         * 敞口额度[0,24]
         */
        public String CKZOED;
        /**
         * 已用敞口[0,24]
         */
        public String CKYYED;
        /**
         * 可用敞口[0,24]
         */
        public String CKKYED;
        /**
         * 拟占用敞口[0,24]
         */
        public String CKZYED;
        /**
         * 表外规模上限当前值[0,24]
         */
        public String BWSXDQ;
        /**
         * 表外规模上限已用值[0,24]
         */
        public String BWSXYY;
        /**
         * 表外规模上限可用值[0,24]
         */
        public String BWSXKY;
        /**
         * 拟占用表外规模上限额度[0,24]
         */
        public String BWSXZT;
        /**
         * 失败原因[0,200]
         */
        public String SHIBYY;

    }

    public static class ItemFCL434 {

        /**
         * 同业业ECIF客户号[0,40]
         */
        public String TYKHBH;
        /**
         * 同业SWIFT号[0,40]
         */
        public String TYSWIT;
        /**
         * 占用同业额度编号[0,40]
         */
        public String TYEDBH;
        /**
         * 占用同业明组额度编号[0,40]
         */
        public String TYMXBH;
        /**
         * 同业额度品种编号[0,40]
         */
        public String TYEDCP;
        /**
         * 同业额度币种[0,10]
         */
        public String TYEDBZ;
        /**
         * 同业授信额度[0,24]
         */
        public String TYSXED;
        /**
         * 同业已用额度[0,24]
         */
        public String TYYYED;
        /**
         * 同业可用额度[0,24]
         */
        public String TYKYED;
        /**
         * 同业拟占用额度[0,24]
         */
        public String TYZYED;
        /**
         * 同业敞口额度[0,24]
         */
        public String TYCKED;
        /**
         * 同业已用敬口[0,24]
         */
        public String TYYYCK;
        /**
         * 同业可用敞口[0,24]
         */
        public String TYKYCK;
        /**
         * 同业拟占用敞口[0,24]
         */
        public String TYZYCK;
        /**
         * 同业额度占用失败原因[0,200]
         */
        public String TYSBYY;
    }

    public static class ItemFCL435 {

        /**
         * 国家授信额度[0,24]
         */
        public String GJSXED;
        /**
         * 国家已用额度[0,24]
         */
        public String GJYYED;
        /**
         * 国家可用额度[0,24]
         */
        public String GJKYED;
        /**
         * 国家拟占用额度[0,24]
         */
        public String GJZYED;
        /**
         * 国家额度占用失败原因[0,200]
         */
        public String GJSBYY;
    }

    public static class ItemFCL436 {

        /**
         * 大洲授信额度[0,24]
         */
        public String DZSXED;
        /**
         * 大洲已用额度[0,24]
         */
        public String DZYYED;
        /**
         * 大洲可用额度[0,24]
         */
        public String DZKYED;
        /**
         * 大洲拟占用额度[0,24]
         */
        public String DZZYED;
        /**
         * 大洲额度占用失败原因[0,200]
         */
        public String DZSBYY;
    }

    public ResOCL433() {
    }

    public ResOCL433(String EDLSXH, String ECIFNO, String KEHUMC, String JIAYJG, String CHAETS, String YEWUNO, String GLYWBH, String BIZHON, String YEWUJE, String ROCZHI, String BZJYUE, String QISHIR, String DAOQIR, String EDLEIX, String EDBHAO, List<ItemFCL433> FCL433, List<ItemFCL434> FCL434, List<ItemFCL435> FCL435, List<ItemFCL436> FCL436) {
        this.EDLSXH = EDLSXH;
        this.ECIFNO = ECIFNO;
        this.KEHUMC = KEHUMC;
        this.JIAYJG = JIAYJG;
        this.CHAETS = CHAETS;
        this.YEWUNO = YEWUNO;
        this.GLYWBH = GLYWBH;
        this.BIZHON = BIZHON;
        this.YEWUJE = YEWUJE;
        this.ROCZHI = ROCZHI;
        this.BZJYUE = BZJYUE;
        this.QISHIR = QISHIR;
        this.DAOQIR = DAOQIR;
        this.EDLEIX = EDLEIX;
        this.EDBHAO = EDBHAO;
        this.FCL433 = FCL433;
        this.FCL434 = FCL434;
        this.FCL435 = FCL435;
        this.FCL436 = FCL436;
    }
}
