package com.brilliance.isc.esb.model.gmgf;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class GoodsInfos {
    public String goodsNo;     //货物序号
    public String codeTs;     //HS编码
    public String goodsName;     //商品名称
    public String goodsModel;     //规格型号
    public String goodsQty;     //商品数量
    public String goodsPrice;     //商品单价
    public String goodsTotal;     //商品总价
    public String tradCurr;     //币种
    public String gQty;     //申报数量
    public String qty1;     //第一数量
    public String qty2;     //第二数量
    public String dutyMode;     //征减免税方式
    public String gunitStd;     //申报计量单位
    public String firstUnitStd;     //第一计量单位
    public String secondUnitStd;     //第二计量单位
    public String originCountryStd;     //原产国（地区）
    public String destinationCountryStd;     //最终目的国（地区）
    public String districtCode;     //境内目的地/境内货源地
    public String destCode;     //目的地代码
    public String tradeCurrStd;     //币种
}
