package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

/**
 * 8010  核心系统提供的往账查询请求
 */
public class ResO80102 {
    /**
     * 提示信息[0,62]
     */
    public String TISHXI;

    public List<ItemF80101> F80101 = new ArrayList<>();

    public static class ItemF80101 {

        /**
         * 业务编号[0,16]
         */
        public String YEWUBH;

        /**
         * 往帐状态[0,8]
         */
        public String JUPZHH;

        /**
         * 清算状态[0,10]
         */
        public String YGNGBH;

        /**
         * 支付交易号[0,8]
         */
        public String PZHTJH;

        /**
         * 大小额标志[0,1]
         */
        public String DAXIBZ;

        /**
         * 业务种类[0,2]
         */
        public String YEWUZL;

        /**
         * 重要等级[0,1]
         */
        public String ZHYODJ;

        /**
         * 报文类型[0,6]
         */
        public String BAWELX;

        /**
         * 付款人帐号[0,21]
         */
        public String ZHANGH;

        /**
         * 付款人户名[0,80]
         */
        public String KEHZWM;

        /**
         * 货币代号[0,2]
         */
        public String HUOBDH;

        /**
         * 交易金额[13,2]
         */
        public String JIO1JE;

        /**
         * 赔偿金金额[13,2]
         */
        public String MAICJE;

        /**
         * 拒付金额[13,2]
         */
        public String FNXIJE;

        /**
         * 凭证号[0,14]
         */
        public String PNGZHH;

        /**
         * 拆借期限[0,5]
         */
        public String FEIYCD;

        /**
         * 拆借利率[0,6]
         */
        public String DANWYB;

        /**
         * 收款人帐号[0,32]
         */
        public String SHKRZH;

        /**
         * 收款人姓名[0,80]
         */
        public String SHKRXM;

        /**
         * 收款人地址[0,62]
         */
        public String ZZZCDZ;

        /**
         * 收款行号[0,12]
         */
        public String ZJCYHH;

        /**
         * 收款行名[0,62]
         */
        public String KAIHHM;

        /**
         * 接收行行号[0,12]
         */
        public String SBHHAO;

        /**
         * 对方机构名称[0,62]
         */
        public String DFJGMC;

        /**
         * 备注信息[0,128]
         */
        public String BEIZXX;

        /**
         * 交易柜员[0,6]
         */
        public String JIO1GY;

        /**
         * 复核柜员[0,6]
         */
        public String FUHEGY;

        /**
         * 复核柜员流水号[0,12]
         */
        public String FHGYLS;

        /**
         * 录入流水号[0,12]
         */
        public String YNGYLS;

        /**
         * 对帐标志[0,8]
         */
        public String JGWJMY;

        /**
         * 退回标志[0,8]
         */
        public String KHJLMC;

    }

    public ResO80102() {
    }

    public ResO80102(String TISHXI, List<ItemF80101> f80101) {
        this.TISHXI = TISHXI;
        F80101 = f80101;
    }
}
