package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * CIPS系统提供查证类交易，支持来报信息查询响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8758 {

    public List<Item8758> list8758 = new LinkedList();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item8758 {
        /**
         * 加急种类
         */
        public String jiajzl;

        /**
         * 业务编号
         */
        public String yewubh;

        /**
         * 端到端标识号
         */
        public String dddbsh;

        /**
         * 起息日
         */
        public String qixiri;

        /**
         * 期望结算日期
         */
        public String qwjsrq;

        /**
         * 记账标识
         */
        public String dailbz;

        /**
         * 销账序号
         */
        public String xiozxh;

        /**
         * 借记记账账号
         */
        public String dafnzh;

        /**
         * 借记记账名称
         */
        public String dafnmc;

        /**
         * 付款行行号
         */
        public String fukhhh;

        /**
         * 付款人/付款行账号
         */
        public String fukrzh;

        /**
         * 付款人/付款行名称
         */
        public String fkrmch;

        /**
         * 付款人/付款行地址1
         */
        public String fkrdz1;

        /**
         * 付款人/付款行地址2
         */
        public String fkrdz2;

        /**
         * 付款人/付款行地址3
         */
        public String fkrdz3;

        /**
         * 付款人/付款行地址4
         */
        public String fkrdz4;

        /**
         * 付款人/付款行地址5
         */
        public String fkrdz5;

        /**
         * 付款人/付款行地址6
         */
        public String fkrdz6;

        /**
         * 付款人/付款行地址7
         */
        public String fkrdz7;

        /**
         * 付款人/付款行开户行行号
         */
        public String fkrkhh;

        /**
         * 付款人/付款行开户行名称
         */
        public String fukrhm;

        /**
         * 付款间接参与者行号
         */
        public String fkjjhh;

        /**
         * 付款直接参与者行号
         */
        public String fkzjhh;

        /**
         * 业务种类
         */
        public String ywzldm;

        /**
         * 币种
         */
        public String huobdh;

        /**
         * 金额
         */
        public String zhifje;

        /**
         * 原始币种
         */
        public String yshbdh;

        /**
         * 金额
         */
        public String yszfje;

        /**
         * 汇率
         */
        public String huilv1;

        /**
         * 凭证种类
         */
        public String pngzzl;

        /**
         * 凭证号
         */
        public String pngzhh;

        /**
         * 凭证序号
         */
        public String pngzxh;

        /**
         * 收款人/收款行账号
         */
        public String shkrzh;

        /**
         * 收款人/收款行名称
         */
        public String skrmch;

        /**
         * 收款人/收款行地址1
         */
        public String skrdz1;

        /**
         * 收款人/收款行地址2
         */
        public String skrdz2;

        /**
         * 收款人/收款行地址3
         */
        public String skrdz3;

        /**
         * 收款人/收款行地址4
         */
        public String skrdz4;

        /**
         * 收款人/收款行地址5
         */
        public String skrdz5;

        /**
         * 收款人/收款行地址6
         */
        public String skrdz6;

        /**
         * 收款人/收款行地址7
         */
        public String skrdz7;

        /**
         * 收款人/收款行开户行行号
         */
        public String skrkhh;

        /**
         * 收款人/收款行开户行名称
         */
        public String shkrhm;

        /**
         * 收款行行号
         */
        public String skhhhh;

        /**
         * 收款间接参与者行号
         */
        public String shjjhh;

        /**
         * 收款直接参与者行号
         */
        public String shzjhh;

        /**
         * 中介机构1
         */
        public String zjg1hh;

        /**
         * 中介机构1名称
         */
        public String zjg1mc;

        /**
         * 中介机构2
         */
        public String zjg2hh;

        /**
         * 中介机构2名称
         */
        public String zjg2mc;

        /**
         * 费用承担方
         */
        public String feiycd;

        /**
         * 费用
         */
        public String feiyon;

        /**
         * 付费行行号
         */
        public String fufeih;

        /**
         * 附言1
         */
        public String fuynh1;
        /**
         * 附言2
         */
        public String fuynh2;

        /**
         * 附言3
         */
        public String fuynh3;
        /**
         * 附言4
         */
        public String fuynh4;

        /**
         * 委托日期
         */
        public String jioyrq;
        /**
         * 报文标识号
         */
        public String bawbsh;
        /**
         * 经办
         */
        public String jio1gy;

        /**
         * 复核
         */
        public String fuhegy;

        /**
         * COV币种符号
         */
        public String cysbzh;

        /**
         * COV金额
         */
        public String cyshje;

        /**
         * COV付款人开户行行号
         */
        public String cfkkhh;

        /**
         * COV付款人开户行名称
         */
        public String cfkkhm;

        /**
         * COV付款人账号
         */
        public String cfkrzh;

        /**
         * COV付款人名称
         */
        public String cfkrmc;


        /**
         * COV付款人地址1
         */
        public String cfkdz1;

        /**
         * COV付款人地址2
         */
        public String cfkdz2;
        /**
         * COV付款人地址3
         */
        public String cfkdz3;

        /**
         * COV付款人地址4
         */
        public String cfkdz4;
        /**
         * COV付款人地址5
         */
        public String cfkdz5;

        /**
         * COV付款人地址6
         */
        public String cfkdz6;
        /**
         * COV付款人地址7
         */
        public String cfkdz7;
        /**
         * COV收款行行号
         */
        public String cskkhh;

        /**
         * COV收款行名称
         */
        public String cskkhm;

        /**
         * COV收款人账号
         */
        public String cskrzh;

        /**
         * COV收款人名称
         */
        public String cskrmc;

        /**
         * COV收款人地址1
         */
        public String cskdz1;

        /**
         * COV收款人地址2
         */
        public String cskdz2;

        /**
         * COV收款人地址3
         */
        public String cskdz3;

        /**
         * COV收款人地址4
         */
        public String cskdz4;


        /**
         * COV收款人地址5
         */
        public String cskdz5;

        /**
         * COV收款人地址6
         */
        public String cskdz6;
        /**
         * COV收款人地址7
         */
        public String cskdz7;

        /**
         * COV中介机构1
         */
        public String czjjg1;
        /**
         * COV中介机构1名称
         */
        public String czj1mc;

        /**
         * COV附言1
         */
        public String covfuy;
        /**
         * COV附言2
         */
        public String covfy2;
        /**
         * COV附言3
         */
        public String covfy3;

        /**
         * COV附言4
         */
        public String covfy4;

        /**
         * 费用2
         */
        public String feiyn2;

        /**
         * 付费行号2
         */
        public String ffeih2;

        /**
         * 原交易参考号
         */
        public String xgckho;

        /**
         * 付款行名称
         */
        public String fkhhmc;

        /**
         * 收款行名称
         */
        public String skhhhm;

        /**
         * 致收款人银行附言1
         */
        public String fuyns1;


        /**
         * 致收款人银行附言2
         */
        public String fuyns2;

        /**
         * 致收款人银行附言3
         */
        public String fuyns3;
        /**
         * 致收款人银行附言4
         */
        public String fuyns4;

        /**
         * 付款人组织机构代码
         */
        public String fkrzhj;
        /**
         * 付款人证件类型
         */
        public String fkrzjl;

        /**
         * 付款人证件号码
         */
        public String fkrzjh;
        /**
         * 付款人常驻国家（地区）代码
         */
        public String fkrzgj;
        /**
         * 付款人EID
         */
        public String fkreid;

        /**
         * 付款非银行支付机构账号
         */
        public String fkfyzh;

        /**
         * 付款非银行支付机构账号1
         */
        public String fkfdz1;

        /**
         * 付款非银行支付机构账号2
         */
        public String fkfdz2;

        /**
         * 付款非银行支付机构账号3
         */
        public String fkfdz3;

        /**
         * 付款非银行支付机构账号4
         */
        public String fkfdz4;

        /**
         * 付款非银行支付机构账号5
         */
        public String fkfdz5;

        /**
         * 付款非银行支付机构账号6
         */
        public String fkfdz6;


        /**
         * 付款非银行支付机构账号7
         */
        public String fkfdz7;

        /**
         * 收款人组织机构代码
         */
        public String skrzhj;
        /**
         * 收款人证件类型
         */
        public String skrzjl;

        /**
         * 收款人证件号码
         */
        public String skrzjh;
        /**
         * 收款人常驻国家（地区）代码
         */
        public String skrzgj;

        /**
         * 收款人EID
         */
        public String skreid;
        /**
         * 收款非银行支付机构账号
         */
        public String skfyzh;
        /**
         * 收款非银行支付机构账号1
         */
        public String skfdz1;

        /**
         * 收款非银行支付机构账号2
         */
        public String skfdz2;

        /**
         * 收款非银行支付机构账号3
         */
        public String skfdz3;

        /**
         * 收款非银行支付机构账号4
         */
        public String skfdz4;

        /**
         * 收款非银行支付机构账号5
         */
        public String skfdz5;

        /**
         * 收款非银行支付机构账号6
         */
        public String skfdz6;

        /**
         * 收款非银行支付机构账号7
         */
        public String skfdz7;

        /**
         * 订单描述1
         */
        public String ddmsu1;

        /**
         * 订单描述2
         */
        public String ddmsu2;

        /**
         * 订单描述3
         */
        public String ddmsu3;
        /**
         * 订单描述4
         */
        public String ddmsu4;

        /**
         * 订单描述5
         */
        public String ddmsu5;
        /**
         * 订单描述6
         */
        public String ddmsu6;

        /**
         * 订单描述7
         */
        public String ddmsu7;
        /**
         * 订单描述8
         */
        public String ddmsu8;
        /**
         * 订单编号
         */
        public String ddbhao;

        /**
         * 日夜间标志
         */
        public String ryjibz;

        /**
         * 明细业务总笔数
         */
        public String mxywbs;

        /**
         * 明细业务总金额
         */
        public String mxywje;

        /**
         * 发起直接参与者行号
         */
        public String fqzyhh;

        /**
         * 接收直接参与者行号
         */
        public String jszyhh;

        /**
         * 明细业务标识号
         */
        public String mxywsh;

        /**
         * COV付款人组织机构代码
         */
        public String cfkrzj;

        /**
         * COV付款人证件类型
         */
        public String cfkzjl;

        /**
         * COV付款人证件号码
         */
        public String cfkzjh;
        /**
         * COV付款人常驻国家（地区）代码
         */
        public String cfkrgj;

        /**
         * COV付款人EID
         */
        public String cfkeid;
        /**
         * COV付款非银行支付机构账号
         */
        public String cfkfzh;

        /**
         * COV付款非银行支付机构账号1
         */
        public String cffdz1;
        /**
         * COV付款非银行支付机构账号2
         */
        public String cffdz2;
        /**
         * COV付款非银行支付机构账号3
         */
        public String cffdz3;

        /**
         * COV付款非银行支付机构账号4
         */
        public String cffdz4;

        /**
         * COV付款非银行支付机构账号5
         */
        public String cffdz5;

        /**
         * COV付款非银行支付机构账号6
         */
        public String cffdz6;

        /**
         * COV付款非银行支付机构账号7
         */
        public String cffdz7;

        /**
         * COV收款人组织机构代码
         */
        public String cskrzj;

        /**
         * COV收款人证件类型
         */
        public String cskzjl;

        /**
         * COV收款人证件号码
         */
        public String cskzjh;

        /**
         * COV收款人常驻国家（地区）代码
         */
        public String cskrgj;

        /**
         * COV收款人EID
         */
        public String cskeid;
        /**
         * COV收款非银行支付机构账号
         */
        public String cskfzh;

        /**
         * COV收款非银行支付机构账号1
         */
        public String csfdz1;
        /**
         * COV收款非银行支付机构账号2
         */
        public String csfdz2;

        /**
         * COV收款非银行支付机构账号3
         */
        public String csfdz3;
        /**
         * COV收款非银行支付机构账号4
         */
        public String csfdz4;
        /**
         * COV收款非银行支付机构账号5
         */
        public String csfdz5;

        /**
         * COV收款非银行支付机构账号6
         */
        public String csfdz6;

        /**
         * COV收款非银行支付机构账号7
         */
        public String csfdz7;

        /**
         * 订单描述
         */
        public String ddmisu;

        /**
         * 明细记账状态
         */
        public String zhuant;

        /**
         * 明细回执记账状态
         */
        public String mxhzzt;

        /**
         * 批量明细处理状态
         */
        public String plmxzt;

        /**
         * 批量明细处理信息
         */
        public String plmxxx;

        /**
         * 批量汇款成功笔数
         */
        public String sccbis;

        /**
         * 批量汇款失败笔数
         */
        public String faibis;
        /**
         * 批量汇款成功金额
         */
        public String sccamt;

        /**
         * 批量账务状态
         */
        public String plzwzt;
        /**
         * 批量回执账务状态
         */
        public String plhzzw;

        /**
         * 业务委托状态
         */
        public String zywtzt;
        /**
         * 费用1币种
         */
        public String huo1dh;
        /**
         * 费用2币种
         */
        public String huo2dh;
    }

    public InnerRes8758() {
    }

    public InnerRes8758(List<Item8758> list8758) {
        this.list8758 = list8758;
    }
}
