package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * (Gtx)实体类
 *
 * @author makejava
 * @since 2022-11-14 16:48:41
 */
@Data
public class Fftmsg implements Serializable {

    //唯一ID
    private String inr = NULLSTR;
    //简要描述
    private String nam = NULLSTR;
    //业务编号
    private String ownref = NULLSTR;
    //关联的表名
    private String objtyp = NULLSTR;
    //关联的表主键INR
    private String objinr = NULLSTR;
    //关联的SMH表主键INR
    private String smhinr = NULLSTR;
    //关联的ORD表主键INR
    private String ordinr = NULLSTR;
    //报文类型
    private String msgtyp = NULLSTR;
    //发送方
    private String snd = NULLSTR;
    //接收方
    private String rcv = NULLSTR;
    //发送方REF
    private String sndref = NULLSTR;
    //接收方REF
    private String rcvref = NULLSTR;
    //所属机构INR
    private String branchinr = NULLSTR;
    //绑定状态
    private String bunsta = NULLSTR;
    //创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date credattim = NULLDATE;
    //绑定人
    private String bunusr = NULLSTR;
    //绑定时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date bundattim = NULLDATE;
    //解绑人
    private String unbusr = NULLSTR;
    //解绑时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date unbdattim = NULLDATE;

}

