package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 签约信息表
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Sin {

    /**
     * 唯一id，主键
     */
    private String inr;

    /**
     * 客户编号
     */
    private String ptyextkey;

    /**
     * 客户名称
     */
    private String ptynam;

    /**
     * 签约渠道
     */
    private String fromflg;

    /**
     * 签约状态
     */
    private String sinsta;

    /**
     * 签约时间
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date sintime;

    /**
     * 接收通知标志
     */
    private String ntfsta;

    /**
     * 备注
     */
    private String remark;
}
