package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:sth:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Sth {
    private int id;
    private String tbl = NULLSTR;
    private BigDecimal codlen = Decimals.ZERO_SCALE2;
    private BigDecimal txtlen = Decimals.ZERO_SCALE2;
    private String srt = NULLSTR;
    private String nam = NULLSTR;
}
