package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.json.BigDecimalSerialize;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Trnbch {
    private String inr;

    private String trncod;

    private String trnnam;

    private String bchinr;

    private String bchnam;

    private String branch;

    private String pmsflg;

    private String usrinr;

    private String usrnam;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date pmsdat;

    private String ver;

    private String cebusrinr;

    private String cebusrnam;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date cebpmsdat;

    private String cebpmsflg;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal rat = Decimals.ZERO_SCALE2;

    private String ratpmsflg;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date ratpmsdat;

    private String ratusrinr;

    private String ratusrnam;

    private String falpanflg;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date falpandat;

    private String falusrinr;

    private String falusrnam;

    private String dcpdcon;

    private String billbuyoutcon;

    private String leasepanflg;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date leasepandat;

    private String leaseusrinr;

    private String leaseusrnam;

    @JsonSerialize(using = BigDecimalSerialize.class)
    private BigDecimal leaseamt = Decimals.ZERO_SCALE0;

    private String opppanflg;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opppandat;

    private String oppusrinr;

    private String oppusrnam;

    private String jckyhflg;

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date jckyhdat;

    private String jckyhusrinr;

    private String jckyhusrnam;

    private String jckyhtrn;


}
