package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Uro {

    /**
     * 唯一ID，主键
     */
    private String inr;

    /**
     * 是否默认记账机构 0-否 1-是
     */
    private String defacc;

    /**
     * 是否有经办权限 0-否 1-是
     */
    private String hdlath;

    /**
     * 用户详情ID,关联的ec_org_persondetails表
     */
    private int userdetailsid;

    /**
     * 机构号
     */
    private String accbch;

    /**
     * 关联bch表inr
     */
    private String bchinr;
}
