package com.brilliance.isc.common.api.usrmd.vo;

import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.bo.Umd;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "统一名单待办夹响应信息", description = "统一名单待办夹响应信息")
@JsonIgnoreProperties(ignoreUnknown = true)
public class SptUmdResponse extends AbstractCommonVo {

    private String sptinr;

    private List<Spt> sptList;

    private List<Umd> umdList;

    /**
     * 后端检核返回值
     */
    private Map<String, Object> errorMap;

}
