package com.brilliance.isc.common.limmod.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class LimmodBizInfoVo {
    private String objtyp = NULLSTR;
    // \BRDGRP\REC\SHGREF
    private String shgref = NULLSTR;
    // \BRDGRP\REC\INR
    private String inr = NULLSTR;
    // \GIDGRP\REC\HNDTYP
    private String hndtyp = NULLSTR;
    // \OLDLEDGRP\REC\PARTCON
    private BigDecimal partcon;
    // \JSDGRP\REC\RSKMIT
    private String rskmit = NULLSTR;
    // GRP\REC\STTTENDAT
    private Date stttendat;
    // GRP\REC\OPNDAT
    private Date opndat;
    // GRP\REC\CREDAT
    private Date credat;
    // GRP\REC\MATDAT
    private Date matdat;
    // GRP\REC\EXPDAT
    private Date expdat;
    // \JSDGRP\REC\QIXIRI
    private Date qixiri;
    // \JSDGRP\REC\CHLIBZ1
    private String chlibz1;
    // \JSDGRP\REC\DAOQRQ
    private Date daoqrq;
    // DGRP\REC\PNTTYP
    private String pnttyp;
    // DGRP\REC\OWNREF
    private String ownref;
    // DGRP\\REC\\RELCREAMT
    private BigDecimal relcreamt;
    // DGRP\\REC\\CLSDAT
    private Date clsdat;
    // \\BDDGRP\\REC\\PNTINR
    private String pntinr;
    // \\LIDGRP\\REC\\DKFLG
    private String dkflg;
    // \\GRP\\REC\\NOMTOP
    private BigDecimal nomtop;
    // \\CPDGRP\\REC\\PAYTYP
    private String paytyp;
    // \\BEDGRP\\REC\\PAYROL
    private String payrol;





}
