package com.brilliance.isc.vo.bop;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.mda.support.jakson.serialize.BigDecimalSerializeRate;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BopexpTxtRespVo {

    private  String actiontype;

    private String actiondesc;

    private String rptno ;

    private String custype ;

    private String idcode ;

    private String custcod ;

    private String custnm ;

    private String oppuser ;

    private String txccy ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal txamt = Decimals.ZERO_SCALE0 ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal exrate = Decimals.ZERO_SCALE8 ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal lcyamt = Decimals.ZERO_SCALE0  ;

    private String lcyacc ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal fcyamt = Decimals.ZERO_SCALE0  ;

    private String fcyacc ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal othamt = Decimals.ZERO_SCALE0  ;

    private String othacc ;

    private String method ;

    private String buscode ;

    private String actuccy ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal actuamt = Decimals.ZERO_SCALE0  ;

    private String inchargeccy ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal inchargeamt = Decimals.ZERO_SCALE0  ;

    private String outchargeccy ;

    @JsonSerialize(using = BigDecimalSerializeRate.class)
    private BigDecimal outchargeamt = Decimals.ZERO_SCALE0  ;

    private String lcbgno ;

    private String issdate ;

    private long tenor ;

    private String oppacc ;

    private String objtyp ;

    private String accbch ;

    private String ownusr ;

    private String trninr ;

    private String credat ;

    private String reldat ;


}
