package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
*  
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Mtabut extends AbstractCommonVo {
        //save transactions default yes = X
        private  String trnsavflg = NULLSTR;

        //Redirect
        private  String frmloa = NULLSTR;

        //Trn first part of name
        private  String trn1 = NULLSTR;

        //Trn second part of name
        private  String trn2 = NULLSTR;

        //Stream holding the additional SPT's
        private  IStream sptinrstr = new StreamImpl();

        //Not empty if not mapped fields have been seen in this transaction
        private  String notmapflg = NULLSTR;

        //Close Flag
        private  String clsflg = NULLSTR;

        //holds the values that may not be changed in PDX
        private  IStream pdxfixstm = new StreamImpl();
        //Forward

        //Forward Trn
        private  String fwdloa = NULLSTR;

        //SMHINR of Last Shown Inc. Message
        private  String pdflstincinr = NULLSTR;

        //Stream with SMH Filenames
        private  IStream docfilnamstr = new StreamImpl();

        //holds old content of PDXFIXSTM
        private  IStream oldpdxfixstm = new StreamImpl();

        //Next Transaction
        private  String nxttrn = NULLSTR;

        //Errormessage used by IsXxxTrnAllowed
        private  String errtxt = NULLSTR;

        //Old ccv record list
        private  IStream oldccvstm = new StreamImpl();

}