package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内提供外部数据管理平台相关服务
 *
 * @restApi
 */

//@RequestMapping("/jk")
public interface InnerWaishuServer {
    /**
     * 银税通发票核验
     *
     * @param innerReqFapiaoChayan
     * @return
     */
    @PostMapping("/fapiao/chayan")
    InnerRes<InnerResFapiaoChayan> callChayan(InnerReq<InnerReqFapiaoChayan> innerReqFapiaoChayan);

    /**
     * 银税通发票状态跟踪
     *
     * @param innerReqFapiaoJiankong
     * @return
     */
    @PostMapping("/fapiao/jiankong")
    InnerRes<InnerResFapiaoJiankong> callJiankong(InnerReq<InnerReqFapiaoJiankong> innerReqFapiaoJiankong);

    /**
     * 银税通发票批量核验更新
     *
     * @param innerReqFapiaoChayan
     * @return
     */
    @PostMapping("/fapiao/ns11")
    InnerRes<InnerResFapiaoChayan> callNs11(InnerReq<InnerReqFapiaoChayan> innerReqFapiaoChayan);
}
