package com.brilliance.isc.esb.model.ebmp;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 6901 境内外币汇款中台请求国结付汇申请对外请求对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Req6901 {

    /**
     * 唯一流水号 [0,0]
     */
    public String WYILSH;

    /**
     * 渠道号 [0,0]
     */
    public String QUDHAO;

    /**
     * 第三方支付机构流水号 [0,0]
     */
    public String SHLSH;

    /**
     * 汇款币种 [0,0]
     */
    public String JIYIBZ;

    /**
     * 汇款金额 [0,0]
     */
    public String QISUJE;

    /**
     * 汇款人账号 [0,0]
     */
    public String HKRZHH;

    /**
     * 核心机构号 [0,0]
     */
    public String BRANCH;

    /**
     * 支付机构ECIF号 [0,0]
     */
    public String ECIFNO;

    /**
     * 汇款人中文名称 [0,0]
     */
    public String ZHWMCH;

    /**
     * 汇款人中文地址 [0,0]
     */
    public String ZHWDZH;

    /**
     * 汇款人英文名称 [0,0]
     */
    public String YIWMCH;

    /**
     * 汇款人英文地址 [0,0]
     */
    public String YIWDZH;

    /**
     * 汇款人开户行BIC（新增） [0,0]
     */
    public String HKRKHHBIC;

    /**
     * 收款人开户银行BIC [0,0]
     */
    public String BICNUM;

    /**
     * 收款人账号 [0,0]
     */
    public String SKRZHH;

    /**
     * 收款人名称 [0,0]
     */
    public String SKRMCH;

    /**
     * 收款人地址 [0,0]
     */
    public String SKRDZH;

    /**
     * 发报行给收报行的附言 [0,0]
     */
    public String FGSFYA;

    /**
     * 接收行BIC（新增字段） [0,0]
     */
    public String JSHBIC;

    /**
     * 委托RIQI [0,0]
     */
    public String WTRIQI;

    /**
     * 业务种类（新增字段） [0,0]
     */
    public String YEWUZL;

    /**
     * 汇款人账户性质（新增字段） [0,0]
     */
    public String HKZHXZ;

    /**
     * 自动化标识 [0,0]
     */
    public String BEYZD2;

    /**
     * 收款人常驻国家地区代码 [0,0]
     */
    public String BEYZD3;

    /**
     * 收款人开户行银行名称 [0,0]
     */
    public String SKYHMC;

    /**
     * 收款人开户行银行地址 [0,0]
     */
    public String SKYHDZ;

    /**
     * 手续费扣款账号（新增） [0,0]
     */
    public String BEYZD1;

    /**
     * 外币账户类型（新增） [0,0]
     */
    public String BEYZD4;

    /**
     * 报文语种（新增） [0,0]
     */
    public String BEYZD5;

}
