package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 615377597788 对内福费廷直通式放款组合交易响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerCommpose615377597788Res {

    /**
     * 打印对象
     */
    public InnerResOhezhh Ohezhh;
    /**
     * 6153报文体
     */
    public InnerRes6153 o6153;
    /**
     * 7759报文体
     */
    public InnerRes7759 o7759;
    /**
     * 7788报文体
     */
    public InnerRes7788 o7788;

    public InnerCommpose615377597788Res() {
    }

    public InnerCommpose615377597788Res(InnerResOhezhh ohezhh, InnerRes6153 o6153, InnerRes7759 o7759, InnerRes7788 o7788) {
        Ohezhh = ohezhh;
        this.o6153 = o6153;
        this.o7759 = o7759;
        this.o7788 = o7788;
    }
}
