package com.brilliance.isc.esb.model.inner;

import java.math.BigDecimal;

/**
 * 对内北京电力保函通知业务请求模型
 */
public class InnerReqBdBhNotice {
    /**
     * 保函保险编号
     */
    public String baohanno;
    /**
     * 出具机构分行
     */
    public String companyname;
    /**
     *出具机构地址
     */
    public String companyaddress;
    /**
     *出具机构联系电话
     */
    public String companyphone;
    /**
     *投保人名称
     */
    public String payername;
    /**
     *投保人账户
     */
    public String payeraccount;
    /**
     *出具机构
     */
    public String instname;
    /**
     *保函保险金额
     */
    public BigDecimal amount;
    /**
     *受益人（被保险人）
     */
    public String benefitname;
    /**
     *保函（保险）生效日期
     */
    public String effectiveDate;
    /**
     *保函（保险）失效日期
     */
    public String expiryDate;
    /**
     *文件名称
     */
    public String fileName;
    /**
     *电力市场化交易执行时间
     */
    public String year;
    /**
     *附件
     */
    public String file;
    /**
     *投保人统一社会信用代码
     */
    public String payercode;
    /**
     *受益人（被保险人）统一社会信用代码
     */
    public String benefitcode;
    /**
     *凭证类型：0.履约保函、1.保证保险、2.保证金
     */
    public int type;
    /**
     *机构类型：0 银行 1 保险公司 2 其他
     */
    public int institutionalType;
    /**
     *业务类型（0 新增 1 变更 2 注销）
     */
    public String businessType;
    /**
     *投保人电话
     */
    public String payerPhone;

}
