package com.brilliance.isc.esb.model.inner;

import com.brilliance.isc.esb.model.clm.ReqCL43;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL43  额度管理系统额度占用
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL43 {

    public ReqCL43 reqCL43;

    /**
     * 交易柜员
     */
    public String INIUSR;

    /**
     * 机构代码
     */
    public String BRANCH;

    /**
     * 前台流水号
     */
    public String QANTLS;

    public InnerReqCL43() {
    }

    public InnerReqCL43(ReqCL43 reqCL43, String INIUSR, String BRANCH, String QANTLS) {
        this.reqCL43 = reqCL43;
        this.INIUSR = INIUSR;
        this.BRANCH = BRANCH;
        this.QANTLS = QANTLS;
    }
}
