package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * CL86
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL86 {
    /**
     * 占用主体编号
     */
    public String zyztbh;

    public List<Itemcl86> lstcl86 = new LinkedList<>();

    public InnerReqCL86() {
    }

    public InnerReqCL86(String zyztbh, List<Itemcl86> lstcl86) {
        this.zyztbh = zyztbh;
        this.lstcl86 = lstcl86;
    }

    public static class Itemcl86 {
        /**
         * 是否转授权业务
         */
        public String sfzsqyw;
        /**
         * 转授权客户编号
         */
        public String zsqkhbh;
        /**
         * 是否分公司业务
         */
        public String sffgsyw;
        /**
         * 总公司客户编号
         */
        public String zgskhbh;
        /**
         * 占用角色
         */
        public String zyjs;
    }
}
