package com.brilliance.isc.esb.model.whj.res.export;

import com.brilliance.isc.esb.model.whj.content.export.Receipt;
import lombok.Data;

import java.util.List;

@Data
public class BaseInfo {

    public String isNameList;         //是否是名录企业
    public String rank;         //名录企业类别

    public List<ExchangeRate> exchangeRate;
    public List<Receipt> receipt;
    public List<TradeFinancing> tradeFinancing;

    public BaseInfo() {
    }

    public BaseInfo(String isNameList, String rank, List<ExchangeRate> exchangeRate, List<Receipt> receipt, List<TradeFinancing> tradeFinancing) {
        this.isNameList = isNameList;
        this.rank = rank;
        this.exchangeRate = exchangeRate;
        this.receipt = receipt;
        this.tradeFinancing = tradeFinancing;
    }
}
