package com.brilliance.isc.common.txfmod.vo;

import com.brilliance.isc.common.vo.PtsptaVo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
public class TxfmodBizInfo {

    private String transName;

    private String cur;

    private BigDecimal amt = BigDecimal.ZERO;

    private String rol;

    // 备案表手工金额检查标志
    private String manbab;

    // CPTOPN
    private String payeecountcode;
    // 汇款性质 1-服务贸易
    private String trntyp;
    // BRTSET
    private String pntinr;
    // BCTSET
    private String stacty;
    // GITSET
    private String countrycod;
    private String hndtyp;

    // 申报类型 3-不申报
    private String szflg;


    //参与方信息
    private List<PtsptaVo> ptsList;

    public void reset() {
        if (ptsList == null) {
            ptsList = new ArrayList<>();
        }
        ptsList.forEach(p -> p.reset());
    }
}
